#Create coordinate grids
yy, xx = np.mgrid[:dem.shape[0], :dem.shape[1]]

#Create nominal weights
accum = rd.rdarray(np.ones(shape=dem.shape).astype('float64'), no_data=-1)

#Increase weights on right-hand side of field
accum[xx>dem.shape[1]/2] *= 50

#Don't modify the original accumulation data. Return a new matrix with flow
#accumulation values.
rd.FlowAccumulation(dem, method='D8', weights=accum, in_place=True)

d8_fig = rd.rdShow(accum, zxmin=450, zxmax=550, zymin=550, zymax=450, figsize=(8,5.5), axes=False, cmap='jet')